Subject: [ETI Informal All 1AD.05.07.04] We see through a glass darkly
From: "James R @ ETIMin" <[email-masked]>
To: "Lists @ ETI Min" <[email-masked]>
Date: Sun, 17 Jul 2005 16:20:41 +0200

Greetings

Following on from the two previous emails.

Having read those passages and having spent time reflecting on the possibility that they could apply to me and not just to "others", the passage that states that we "see through a glass darkly" came to mind.

That is 1 Corinthians 13:12 "For now we see through a glass, darkly; but then face to face: now I know in part; but then shall I know even as also I am known." (KJV)

I was struck by the reality that we live in a world which is a complex mixture of truth and lies, clarity and obscurity.  We ourselves speak, think and act part truth and part error in varying degrees from moment to moment.  So do all those around us.

It is up to us to filter what we read, hear and see and find the truth and omit the error and sin.

I see increasingly that this is far more complex and far more challenging than i have ever previously imagined and that staying on the "straight" (= difficult / demanding) and "narrow" way is far more difficult than it seems.

Warm regards and blessings

James Robertson